Gets the value returned by the Fiber

- « Fiber::throw

- Fiber::isStarted »

- PHP Manual
- Fiber
- Gets the value returned by the Fiber

# Fiber::getReturn

(PHP 8 >= 8.1.0)

Fiber::getReturn — Gets the value returned by the Fiber

### Description

public Fiber::getReturn(): mixed

### Parameters

This function has no parameters.

### Return Values

Returns the value returned by the callable provided to Fiber::__construct(). If the fiber has not returned a value, either because it has not been started, has not terminated, or threw an exception, a FiberError will be thrown.